import json
import os
import requests

from cryptography.hazmat.primitives.asymmetric import rsa

from Mine.Block import Block

WIKIDECK_URL = os.getenv('WIKIDECK_URL', 'http://localhost:8080/')

privateKey = rsa.generate_private_key(
    public_exponent=65537,
    key_size=4096
    )

newBlock = Block(
    data = requests.get(f"{WIKIDECK_URL}/mine/blocks").json()
    )
newBlock.mine(privateKey)
print(newBlock)

r = requests.post(f"{WIKIDECK_URL}/mine/blocks", data=newBlock.as_dict())
print(r)
